
Figure - Bug #111536
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110877 (New): BSP-BVT测试-MCU

【BSP】【EVT】【MCU】【必现】MCU升级完成后自动重启，屏幕背光亮或者不亮，无画面显示，板子状
态正常，adb可用，投屏工具正常使用
2022-08-30 16:26 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-30

Priority: High Due date:

Assignee: CD SYSTEM-赵正军 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220830_alpha_private_userdebug

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、打开MCUupgrade app，进行mcu升级

2、mcu升级完成后自动重启，查看屏幕画面显示

实际结果：

1、屏幕背光亮无画面显示，板子状态正常，adb可用，投屏工具正常使用

预期结果：

1、屏幕正常显示画面

History

#1 - 2022-08-30 16:35 - SZTS_TEST 邹涛

- Subject changed from 【BSP】【EVT】【MCU】【偶现两次】MCU升级完成后自动重启，屏幕背光亮无画面显示，板子状态正常，adb可用，投屏工具

正常使用 to 【BSP】【EVT】【MCU】【必现】MCU升级完成后自动重启，屏幕背光亮无画面显示，板子状态正常，adb可用，投屏工具正常使用

#2 - 2022-08-30 16:44 - SZTS_TEST 邹涛

- Subject changed from 【BSP】【EVT】【MCU】【必现】MCU升级完成后自动重启，屏幕背光亮无画面显示，板子状态正常，adb可用，投屏工具正常

使用 to 【BSP】【EVT】【MCU】【必现】MCU升级完成后自动重启，屏幕背光亮或者不亮，无画面显示，板子状态正常，adb可用，投屏工具正常使

用

#3 - 2022-08-30 16:59 - SZTS_TEST 邹涛

- File dmesg.txt added

#4 - 2022-08-31 16:52 - SZ BSP-徐季源

- Assignee changed from SZ BSP-徐季源 to 软件二组_SD3 朱彦斌

彦斌，先帮忙分析一下屏I2C不通的原因是什么，看看是不是什么电上的不对，有需要可以去邹涛那边看看现场
#5 - 2022-09-14 10:35 - SZ TPM-罗云进

- Assignee changed from 软件二组_SD3 朱彦斌 to SZTS_TEST 邹涛

#6 - 2022-09-14 11:41 - CD TPM-申艳艳

- Category set to BSP

#7 - 2022-09-15 18:42 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V1.0_update_20220925

#8 - 2022-09-16 17:58 - SZTS_TEST 邹涛

使用0916号DB版本验证（01.00.X101_20220916_private_userdebug），手动反复进行mcu升级低概率出现mcu升级完成后重启，板子进入fastboot模式，屏幕

黑屏情况；

该bug未彻底解决，待https://share.thundersoft.com/redmine/issues/111881  问题解决后一并验证

#9 - 2022-09-20 15:22 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

请研发将设备进fastboot模式的修改提交合入DB后，在此验证

#10 - 2022-09-21 11:23 - SZTS_TEST 邹涛

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220915/202209151427-1291

烧录上面VB版本，验证mcu升级118次未复现；等研发提交代码入库后，在DB版本上再次验证

#11 - 2022-09-21 11:25 - CD TPM-申艳艳

- Category changed from BSP to SYSTEM

#12 - 2022-09-22 10:26 - CD SYSTEM-赵正军

- Category changed from SYSTEM to BSP

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

bug#111881对应提交已入库，还请用DB测试

#13 - 2022-09-24 11:49 - SZTS_TEST 邹涛

使用946版本验证mcu升级429次，板子均能正常启动，屏幕正常点亮

#14 - 2022-09-24 18:41 - SZTS_TEST 邹涛

01.00.0019.X101 版本验证82次未复现，该bug关闭

#15 - 2022-09-24 18:41 - SZTS_TEST 邹涛

- Status changed from New to RESOLVED
#16 - 2022-09-24 18:42 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#17 - 2022-09-24 18:42 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#18 - 2022-09-26 10:44 - SZTS_TEST 邹涛

- Status changed from CLOSED to New

- Target version changed from VX1_MCE_FSE_V1.0_update_20220925 to VX1_MCE_FSE_V2.0_20220930

#19 - 2022-09-26 10:45 - SZTS_TEST 邹涛

0924号release版本的userdebug版本，mcu循环升级228次后，板子未正常启动，端口显示90E5，电流大小为348ma，adb不可用

#20 - 2022-09-26 11:18 - SZTS_TEST 邹涛

- File Serial-COM119_20220924195645.rar added

#21 - 2022-09-26 14:00 - SZTS_TEST 邹涛

0924号userdrbug版本验证问题未修复，mcu循环升级228次后，板子未正常启动     

dump文件下载地址：https://thundersoft.feishu.cn/file/boxcnzBe4nDo4ActB5SpeXnlgMg

#22 - 2022-09-26 17:00 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

#23 - 2022-09-26 17:17 - SZTS_TEST 邹涛

- Status changed from New to RESOLVED

#24 - 2022-09-26 17:18 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#25 - 2022-09-26 17:19 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#26 - 2022-09-26 17:21 - CD SYSTEM-赵正军

如果0924版本没有出现此bug描述的问题，要么继续压测，要么关闭。

如果测试过程中有出现不一样现象的其他问题，还请另起bug

#27 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146502 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Use SOC GPIO to wakeup Panel(2/2)Add GPIO22 to wakeup Panel to avoid Panel's Reset by MCUTC-RID: 1201-0100501IssueID:
TS-R-DF-111536Change-Id: I40876772de67db11c174dde9942f2a3bf5f187c8

#28 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146503 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Use SOC GPIO to wakeup Panel(1/2)Add GPIO22 to wakeup Panel to avoid Panel's Reset by MCUTC-RID: 1201-0100501IssueID:

TS-R-DF-111536Change-Id: I710578af60e554a7a26589436e2a354762327365

#29 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147998 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_evt1

xiao.yu@thundersoft.com

BSP:LCD: Use SOC GPIO to wakeup Panel(2/2)Add GPIO22 to wakeup Panel to avoid Panel's Reset by MCUTC-RID: 1201-0100501IssueID:

TS-R-DF-111536Change-Id: I40876772de67db11c174dde9942f2a3bf5f187c8(cherry picked from commit 3076229685491efda99e1a2f51a70d4d6d176bb1)

Files

logcat.txt 2.88 MB 2022-08-30 SZTS_TEST 邹涛

dmesg.txt 5.53 KB 2022-08-30 SZTS_TEST 邹涛

Serial-COM119_20220924195645.rar 4.86 MB 2022-09-26 SZTS_TEST 邹涛
